Project

General

Profile

Actions

Feature #2340

closed

Removing YAML/Syck

Added by naruse (Yui NARUSE) over 12 years ago. Updated over 10 years ago.

Status:
Rejected
Priority:
Normal
Target version:
[ruby-core:26560]

Description

=begin
YAML and Syck is a _why's product and widely used bundled library of Ruby.
But they are not maintained for 2 years and no more by _why.
And they support only YAML 1.0, not 1.1 and 1.2.
So YAML/Syck considered harmful.
=end


Related issues 2 (0 open2 closed)

Related to Ruby master - Feature #3112: require "yaml" doesn't use psych as defaultClosed04/08/2010Actions
Related to Ruby master - Feature #6163: Remove syck YAML extensionClosedtenderlovemaking (Aaron Patterson)03/17/2012Actions
Actions

Also available in: Atom PDF